> For the complete documentation index, see [llms.txt](https://docs.ariaprotocol.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ariaprotocol.xyz/technical-docs/contract-docs/legal/interfaces/ilicense.md).

# ILicense

## Functions

### signLicense

Allows a user to sign the current license.

```solidity
function signLicense(bytes calldata signature) external;
```

### contentURIHash

Returns the hash of the current license URI.

```solidity
function contentURIHash() external view returns (bytes32);
```

### licenseURI

Returns the URI of the current license.

```solidity
function licenseURI() external view returns (string memory);
```

### licenseURIOf

Returns the URI of a specific license version.

```solidity
function licenseURIOf(uint256 version) external view returns (string memory);
```

### licenseVersion

Returns the current license version.

```solidity
function licenseVersion() external view returns (uint256);
```

### hasSignedCurrentLicense

Returns true if the account has signed the current license version.

```solidity
function hasSignedCurrentLicense(address account) external view returns (bool);
```

## Events

### LicenseSigned

Emitted when an account signs a license version.

```solidity
event LicenseSigned(address indexed account, uint256 indexed version);
```

### LicenseURIUpdated

Emitted when a new license URI is set.

```solidity
event LicenseURIUpdated(uint256 indexed version, string indexed uri, bytes32 indexed contentHash);
```

### LicenseSignatureRevoked

Emitted when a license signature is revoked.

```solidity
event LicenseSignatureRevoked(address indexed account, uint256 indexed version);
```

## Errors

### License\_\_AlreadySigned

```solidity
error License__AlreadySigned();
```

### License\_\_InvalidURI

```solidity
error License__InvalidURI();
```

### License\_\_NotSigned

```solidity
error License__NotSigned();
```

### License\_\_NoLicenseToSign

```solidity
error License__NoLicenseToSign();
```

### License\_\_SignatureNotFound

```solidity
error License__SignatureNotFound();
```

### License\_\_InvalidSignature

```solidity
error License__InvalidSignature();
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ariaprotocol.xyz/technical-docs/contract-docs/legal/interfaces/ilicense.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
